## com.fasterxml.jackson.databind.introspect
Class ObjectIdInfo

    java.lang.Object
      com.fasterxml.jackson.databind.introspect.ObjectIdInfo

    public class ObjectIdInfo

extends Object

Container object that encapsulates information usually derived from `JsonIdentityInfo` annotation or its custom alternatives

Field Summary
`protected Class<? extends com.fasterxml.jackson.annotation.ObjectIdGenerator<?>>` `_generator`
`protected String` `_propertyName`
`protected Class<?>` `_scope`

Constructor Summary
`ObjectIdInfo(String prop, Class<?> scope, Class<? extends com.fasterxml.jackson.annotation.ObjectIdGenerator<?>> gen)`

Method Summary
`Class<? extends com.fasterxml.jackson.annotation.ObjectIdGenerator<?>>` `getGeneratorType()`
`String` `getPropertyName()`
`Class<?>` `getScope()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _propertyName

    protected final String _propertyName

### _generator

    protected final Class<? extends com.fasterxml.jackson.annotation.ObjectIdGenerator<?>> _generator

### _scope

    protected final Class<?> _scope

Constructor Detail

### ObjectIdInfo

    public ObjectIdInfo(String prop,
                        Class<?> scope,
                        Class<? extends com.fasterxml.jackson.annotation.ObjectIdGenerator<?>> gen)

Method Detail

### getPropertyName

    public String getPropertyName()

### getScope

    public Class<?> getScope()

### getGeneratorType

    public Class<? extends com.fasterxml.jackson.annotation.ObjectIdGenerator<?>> getGeneratorType()

Copyright © 2012 fasterxml.com. All Rights Reserved.